CURIE_MAP = {
    '': 'file:///ERROR/EMPTY/PREFIX/BANNED/',
    'BFO': 'http://purl.obolibrary.org/obo/BFO_',
    'BFO1': 'http://www.ifomis.org/bfo/1.1#',
    'BFO1SNAP': 'http://www.ifomis.org/bfo/1.1/snap#',
    'BFO1SPAN': 'http://www.ifomis.org/bfo/1.1/span#',
    'BIRNANN': 'http://ontology.neuinfo.org/NIF/Backend/BIRNLex_annotation_properties.owl#',
    'BIRNLEX': 'http://uri.neuinfo.org/nif/nifstd/birnlex_',
    'BIRNOBI': 'http://ontology.neuinfo.org/NIF/Backend/BIRNLex-OBI-proxy.owl#',
    'BIRNOBO': 'http://ontology.neuinfo.org/NIF/Backend/BIRNLex-OBO-UBO.owl#',
    'CAO': 'http://www.cognitiveatlas.org/ontology/cogat.owl#CAO_',
    'CHEBI': 'http://purl.obolibrary.org/obo/CHEBI_',
    'CL': 'http://purl.obolibrary.org/obo/CL_',
    'CLO': 'http://purl.obolibrary.org/obo/CLO_',
    'COGAT': 'http://www.cognitiveatlas.org/ontology/cogat.owl#',
    'COGPO': 'http://www.cogpo.org/ontologies/COGPO_',
    'COGPO1': 'http://www.cogpo.org/ontologies/CogPOver1.owl#COGPO_',
    'COGPO10': 'http://www.cogpo.org/ontologies/CogPOver2010.owl#COGPO_',
    'DICOM': 'http://uri.interlex.org/dicom/uris/terms/',
    'DOID': 'http://purl.obolibrary.org/obo/DOID_',
    'EFO': 'http://www.ebi.ac.uk/efo/EFO_',
    'EMAPA': 'http://purl.obolibrary.org/obo/EMAPA_',
    'ERO': 'http://purl.obolibrary.org/obo/ERO_',
    'FIXME': 'http://FIXME.org/',
    'FMA': 'http://purl.org/sig/ont/fma/fma',
    'GBIF': 'http://www.gbif.org/species/',
    'GO': 'http://purl.obolibrary.org/obo/GO_',
    'HBA': 'http://api.brain-map.org:80/api/v2/data/Structure/',
    'HP': 'http://purl.obolibrary.org/obo/HP_',
    'IAO': 'http://purl.obolibrary.org/obo/IAO_',
    'ILX': 'http://uri.interlex.org/base/ilx_',
    'ILX.CDE': 'http://uri.interlex.org/base/cde_',
    'ILXREPLACE': 'http://ILXREPLACE.org/',
    'ITISTSN': 'http://www.itis.gov/servlet/SingleRpt/SingleRpt?search_topic=TSN&search_value=',
    'JAX': 'http://jaxmice.jax.org/strain/',
    'MA': 'http://purl.obolibrary.org/obo/MA_',
    'MBA': 'http://api.brain-map.org/api/v2/data/Structure/',
    'MESH': 'https://meshb.nlm.nih.gov/record/ui?ui=',
    'MONDO': 'http://purl.obolibrary.org/obo/MONDO_',
    'MP': 'http://purl.obolibrary.org/obo/MP_',
    'NCBIGene': 'http://www.ncbi.nlm.nih.gov/gene/',
    'NCBITaxon': 'http://purl.obolibrary.org/obo/NCBITaxon_',
    'NDA.CDE': 'http://uri.interlex.org/NDA/uris/datadictionary/elements/',
    'NIFANN': 'http://ontology.neuinfo.org/NIF/NIF-Annotation-Standard.owl#',
    'NIFCELL': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Cell.owl#',
    'NIFCHEM': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Chemical.owl#',
    'NIFDYS': 'http://ontology.neuinfo.org/NIF/Dysfunction/NIF-Dysfunction.owl#',
    'NIFEXT': 'http://uri.neuinfo.org/nif/nifstd/nifext_',
    'NIFFUN': 'http://ontology.neuinfo.org/NIF/Function/NIF-Function.owl#',
    'NIFGA': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-GrossAnatomy.owl#',
    'NIFGG': 'http://ontology.neuinfo.org/NIF/DigitalEntities/NIF-Government-Granting-Agency.owl#',
    'NIFINV': 'http://ontology.neuinfo.org/NIF/DigitalEntities/NIF-Investigation.owl#',
    'NIFMOL': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Molecule.owl#',
    'NIFMOLINF': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Molecule-Role-Inferred.owl#',
    'NIFMOLROLE': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Molecule-Role-Bridge#',
    'NIFNCBI': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-NCBITax-Bridge.owl#',
    'NIFNCBISLIM': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-NCBITaxonomy-Slim.owl#',
    'NIFNEURBR': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Neuron-BrainRegion-Bridge.owl#',
    'NIFNEURBR2': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Neuron-Brain-Bridge.owl#',
    'NIFNEURCIR': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Neuron-Circuit-Role-Bridge.owl#',
    'NIFNEURMC': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF_Neuron_MolecularConstituent_Bridge.owl#',
    'NIFNEURMOR': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Neuron-Morphology-Bridge.owl#',
    'NIFNEURNT': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Neuron-NT-Bridge.owl#',
    'NIFORG': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Organism.owl#',
    'NIFQUAL': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Quality.owl#',
    'NIFRAW': 'https://raw.githubusercontent.com/SciCrunch/NIF-Ontology/',
    'NIFRES': 'http://ontology.neuinfo.org/NIF/DigitalEntities/NIF-Resource.owl#',
    'NIFRET': 'http://ontology.neuinfo.org/NIF/Retired/NIF-Retired.owl#',
    'NIFRID': 'http://uri.neuinfo.org/nif/nifstd/readable/',
    'NIFSCID': 'http://ontology.neuinfo.org/NIF/DigitalEntities/NIF-Scientific-Discipline.owl#',
    'NIFSTD': 'http://uri.neuinfo.org/nif/nifstd/',
    'NIFSUB': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Subcellular.owl#',
    'NIFTTL': 'http://ontology.neuinfo.org/NIF/ttl/',
    'NIFUNCL': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/NIF-Unclassified.owl#',
    'NINDS.CDE': 'http://uri.interlex.org/NINDSCDE/uris/readable/',
    'NLX': 'http://uri.neuinfo.org/nif/nifstd/nlx_',
    'NLXANAT': 'http://uri.neuinfo.org/nif/nifstd/nlx_anat_',
    'NLXBR': 'http://uri.neuinfo.org/nif/nifstd/nlx_br_',
    'NLXCELL': 'http://uri.neuinfo.org/nif/nifstd/nlx_cell_',
    'NLXCHEM': 'http://uri.neuinfo.org/nif/nifstd/nlx_chem_',
    'NLXDYS': 'http://uri.neuinfo.org/nif/nifstd/nlx_dys_',
    'NLXFUNC': 'http://uri.neuinfo.org/nif/nifstd/nlx_func_',
    'NLXINV': 'http://uri.neuinfo.org/nif/nifstd/nlx_inv_',
    'NLXMOL': 'http://uri.neuinfo.org/nif/nifstd/nlx_mol_',
    'NLXNEURNT': 'http://uri.neuinfo.org/nif/nifstd/nlx_neuron_nt_',
    'NLXOEN': 'http://uri.neuinfo.org/nif/nifstd/oen_',
    'NLXORG': 'http://uri.neuinfo.org/nif/nifstd/nlx_organ_',
    'NLXQUAL': 'http://uri.neuinfo.org/nif/nifstd/nlx_qual_',
    'NLXRES': 'http://uri.neuinfo.org/nif/nifstd/nlx_res_',
    'NLXSUB': 'http://uri.neuinfo.org/nif/nifstd/nlx_subcell_',
    'NLXUBO': 'http://uri.neuinfo.org/nif/nifstd/nlx_ubo_',
    'NLXUNCL': 'http://uri.neuinfo.org/nif/nifstd/nlx_uncl_',
    'NLXWIKI': 'http://neurolex.org/wiki/',
    'OBI': 'http://purl.obolibrary.org/obo/OBI_',
    'OBOANN': 'http://ontology.neuinfo.org/NIF/Backend/OBO_annotation_properties.owl#',
    'PAR': 'http://uri.interlex.org/fakeobo/uris/obo/PAR_',
    'PATO': 'http://purl.obolibrary.org/obo/PATO_',
    'PAXMUS': 'http://uri.interlex.org/paxinos/uris/mouse/labels/',
    'PAXRAT': 'http://uri.interlex.org/paxinos/uris/rat/labels/',
    'PR': 'http://purl.obolibrary.org/obo/PR_',
    'PROTEGE': 'http://protege.stanford.edu/plugins/owl/protege#',
    'PTHR': 'http://www.pantherdb.org/panther/family.do?clsAccession=PTHR',
    'PW': 'http://purl.obolibrary.org/obo/PW_',
    'RO': 'http://purl.obolibrary.org/obo/RO_',
    'RRID': 'https://scicrunch.org/resolver/RRID:',
    'RadLex': 'http://www.radlex.org/RID/',
    'SAO': 'http://uri.neuinfo.org/nif/nifstd/sao',
    'SAOCORE': 'http://ontology.neuinfo.org/NIF/BiomaterialEntities/SAO-CORE_properties.owl#',
    'SBO': 'http://www.ebi.ac.uk/sbo/main/SBO:',
    'SCR': 'http://scicrunch.org/resolver/SCR_',
    'SIO': 'http://semanticscience.org/resource/SIO_',
    'SO': 'http://purl.obolibrary.org/obo/SO_',
    'SWO': 'http://www.ebi.ac.uk/efo/swo/SWO_',
    'SWOL': 'http://www.ebi.ac.uk/swo/license/SWO_',
    'SYMP': 'http://purl.obolibrary.org/obo/SYMP_',
    'TEMP': 'http://uri.interlex.org/temp/uris/',
    'TEMPIND': 'http://uri.interlex.org/temp/uris/phenotype-indicators/',
    'TEMPRAW': 'http://uri.interlex.org/temp/uris/raw/',
    'TRANS': 'http://purl.obolibrary.org/obo/TRANS_',
    'UBERON': 'http://purl.obolibrary.org/obo/UBERON_',
    'UO': 'http://purl.obolibrary.org/obo/UO_',
    'adjacentTo': 'http://purl.obolibrary.org/obo/RO_0002220',
    'agentIn': 'http://purl.obolibrary.org/obo/RO_0002217',
    'altTerm': 'http://purl.obolibrary.org/obo/IAO_0000118',
    'apinatomy': 'https://apinatomy.org/uris/readable/',
    'apinatomy.elements': 'https://apinatomy.org/uris/elements/',
    'apinm.bolew': 'https://apinatomy.org/uris/models/bolserLewisNew/ids/',
    'apinm.keast': 'https://apinatomy.org/uris/models/keast-spinal-full/ids/',
    'apinm.keast-test': 'https://apinatomy.org/uris/models/keastSpinalTest/ids/',
    'bearerOf': 'http://purl.obolibrary.org/obo/RO_0000053',
    'chebi': 'http://purl.obolibrary.org/obo/chebi/',
    'chebi1': 'http://purl.obolibrary.org/obo/chebi#2',
    'chebi2': 'http://purl.obolibrary.org/obo/chebi#',
    'chebi3': 'http://purl.obolibrary.org/obo/chebi#3',
    'containedIn': 'http://purl.obolibrary.org/obo/RO_0001018',
    'contains': 'http://purl.obolibrary.org/obo/RO_0001019',
    'curatorNote': 'http://purl.obolibrary.org/obo/IAO_0000232',
    'dc': 'http://purl.org/dc/elements/1.1/',
    'dcterms': 'http://purl.org/dc/terms/',
    'dctypes': 'http://purl.org/dc/dcmitype/',
    'defSource': 'http://purl.obolibrary.org/obo/IAO_0000119',
    'definition': 'http://purl.obolibrary.org/obo/IAO_0000115',
    'derivesFrom': 'http://purl.obolibrary.org/obo/RO_0001000',
    'derivesInto': 'http://purl.obolibrary.org/obo/RO_0001001',
    'editorNote': 'http://purl.obolibrary.org/obo/IAO_0000116',
    'fma': 'http://purl.org/sig/ont/fma/',
    'foaf': 'http://xmlns.com/foaf/0.1/',
    'fobo': 'http://uri.interlex.org/fakeobo/uris/obo/',
    'hasAgent': 'http://purl.obolibrary.org/obo/RO_0002218',
    'hasCurStatus': 'http://purl.obolibrary.org/obo/IAO_0000114',
    'hasInput': 'http://purl.obolibrary.org/obo/RO_0002233',
    'hasMember': 'http://purl.obolibrary.org/obo/RO_0002351',
    'hasOutput': 'http://purl.obolibrary.org/obo/RO_0002234',
    'hasPart': 'http://purl.obolibrary.org/obo/BFO_0000051',
    'hasParticipant': 'http://purl.obolibrary.org/obo/RO_0000057',
    'hasRole': 'http://purl.obolibrary.org/obo/RO_0000087',
    'hyp': 'https://hyp.is/',
    'ilx': 'http://uri.interlex.org/',
    'ilx.anno.allowedTypes': 'http://uri.interlex.org/base/ilx_0381358',
    'ilx.anno.allowedValues': 'http://uri.interlex.org/base/ilx_0381359',
    'ilx.anno.condition': 'http://uri.interlex.org/base/ilx_0381354',
    'ilx.anno.filterElement': 'http://uri.interlex.org/base/ilx_0381352',
    'ilx.anno.hasBroadSynonym': 'http://uri.interlex.org/base/ilx_0737164',
    'ilx.anno.hasConstraint': 'http://uri.interlex.org/base/ilx_0115071',
    'ilx.anno.hasDefinitionSource': 'http://uri.interlex.org/base/ilx_0739292',
    'ilx.anno.hasExactSynonym': 'http://uri.interlex.org/base/ilx_0737161',
    'ilx.anno.hasNarrowSynonym': 'http://uri.interlex.org/base/ilx_0737163',
    'ilx.anno.hasRelatedSynonym': 'http://uri.interlex.org/base/ilx_0737162',
    'ilx.anno.maxValue': 'http://uri.interlex.org/base/ilx_0381357',
    'ilx.anno.minValue': 'http://uri.interlex.org/base/ilx_0381356',
    'ilx.anno.required': 'http://uri.interlex.org/base/ilx_0381353',
    'ilx.anno.size': 'http://uri.interlex.org/base/ilx_0381355',
    'ilx.federatesElement': 'http://uri.interlex.org/base/ilx_0381445',
    'ilx.hasDbXref': 'http://uri.interlex.org/base/ilx_0381360',
    'ilx.hasLaterality': 'http://uri.interlex.org/base/ilx_0381387',
    'ilx.hasMeasurementType': 'http://uri.interlex.org/base/ilx_0381388',
    'ilx.hasRole': 'http://uri.interlex.org/base/ilx_0112784',
    'ilx.hasUnit': 'http://uri.interlex.org/base/ilx_0381384',
    'ilx.includeForSPARC': 'http://uri.interlex.org/base/ilx_0738400',
    'ilx.isAbout': 'http://uri.interlex.org/base/ilx_0381385',
    'ilx.isMeasureOf': 'http://uri.interlex.org/base/ilx_0381389',
    'ilx.partOf': 'http://uri.interlex.org/base/ilx_0112785',
    'ilx.relatedTo': 'http://uri.interlex.org/base/ilx_0112796',
    'ilx.type': 'http://uri.interlex.org/base/readable/type/',
    'ilxr': 'http://uri.interlex.org/base/readable/',
    'ilxti': 'http://uri.interlex.org/tgbugs/uris/indexes/',
    'ilxtib': 'http://uri.interlex.org/tgbugs/uris/indexes/blank/',
    'ilxtio': 'http://uri.interlex.org/tgbugs/uris/indexes/ontologies/',
    'ilxtr': 'http://uri.interlex.org/tgbugs/uris/readable/',
    'importedFrom': 'http://purl.obolibrary.org/obo/IAO_0000412',
    'inheresIn': 'http://purl.obolibrary.org/obo/RO_0000052',
    'isAbout': 'http://purl.obolibrary.org/obo/IAO_0000136',
    'lex': 'http://uri.interlex.org/base/lexical/',
    'locatedIn': 'http://purl.obolibrary.org/obo/RO_0001025',
    'locationOf': 'http://purl.obolibrary.org/obo/RO_0001015',
    'memberOf': 'http://purl.obolibrary.org/obo/RO_0002350',
    'npokb': 'http://uri.interlex.org/npo/uris/neurons/',
    'nsu': 'http://www.FIXME.org/nsupper#',
    'obo': 'http://purl.obolibrary.org/obo/',
    'oboInOwl': 'http://www.geneontology.org/formats/oboInOwl#',
    'obsReason': 'http://purl.obolibrary.org/obo/IAO_0000231',
    'overlaps': 'http://purl.obolibrary.org/obo/RO_0002131',
    'owl': 'http://www.w3.org/2002/07/owl#',
    'partOf': 'http://purl.obolibrary.org/obo/BFO_0000050',
    'participatesIn': 'http://purl.obolibrary.org/obo/RO_0000056',
    'prov': 'http://www.w3.org/ns/prov#',
    'rdf': 'http://www.w3.org/1999/02/22-rdf-syntax-ns#',
    'rdfs': 'http://www.w3.org/2000/01/rdf-schema#',
    'realizedIn': 'http://purl.obolibrary.org/obo/BFO_0000054',
    'realizes': 'http://purl.obolibrary.org/obo/BFO_0000055',
    'replacedBy': 'http://purl.obolibrary.org/obo/IAO_0100001',
    'ro': 'http://www.obofoundry.org/ro/ro.owl#',
    'skos': 'http://www.w3.org/2004/02/skos/core#',
    'tech': 'http://uri.interlex.org/tgbugs/uris/readable/technique/',
    'termEditor': 'http://purl.obolibrary.org/obo/IAO_0000117',
    'termsMerged': 'http://purl.obolibrary.org/obo/IAO_0000227',
    'toward': 'http://purl.obolibrary.org/obo/RO_0002503',
}